Upgrading Cisco DSL 67x

From XMission Wiki
Jump to: navigation, search

If you have a Cisco 675/678 with a version of CBOS earlier than 2.4.6, XMission recommends you update to the more recent firmware using the DSLUpdater. Older versions have vulnerabilities that allow worms, such as Code Red, to interrupt or take advantage of your connection. It's very important to use CBOS 2.4.6 or later to avoid compromising your network.

DSLUpdater for Windows

DSLUpdater for Macintosh

If you wish to take your Cisco 67x series router up to a more recent, stable release, XMission recommends you download and install at least version 2.4.6 from ftp.xmission.com/archive/dsl. This is not a public site, and you will have to login with your XMission username and password to have proper access to these images. Instructions for upgrading are contained within the README file. Please contact XMission support if you have difficulty accessing this directory, or are unsure as to which router image you need for your upgrade.